Bug 60175 - RunWM *should* try /etc/X11/AnotherLevel/fvwm2rc.m4
RunWM *should* try /etc/X11/AnotherLevel/fvwm2rc.m4
Product: Red Hat Linux
Classification: Retired
Component: xinitrc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Aaron Brown
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-02-21 06:27 EST by Dmitry Bolkhovityanov
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-20 08:20:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for RunWM to pick AnotherLevel's config file (613 bytes, patch)
2002-02-21 06:29 EST, Dmitry Bolkhovityanov
no flags Details | Diff

  None (edit)
Description Dmitry Bolkhovityanov 2002-02-21 06:27:35 EST
Description of Problem:
Since 7.2 the /usr/X11R6/bin/RunWM script doesn't try to use
/etc/X11/AnotherLevel/fvwm2rc.m4 .

While it is true that RHL doesn't ship AnotherLevel since 7.0, many people
install it from previous versions, since this is the desktop they are accustomed to.

And the reference /etc/X11/AnotherLevel/fvwm2rc.m4 is harmless -- if the file
isn't there, nothing happens.

Please, please, please -- not everybody in the world runs Gnome/KDE.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Install fvwm2
2. Install AnotherLevel package from any previous release (e.g. 6.2)
3. Try startx `which RunWM.MWM`

Actual Results:
Just fvwm2 in default configuration is started.

Expected Results:
AnotherLevel with MWM interface.

Additional Information:
Comment 1 Dmitry Bolkhovityanov 2002-02-21 06:29:06 EST
Created attachment 46220 [details]
Patch for RunWM to pick AnotherLevel's config file
Comment 2 Mike A. Harris 2002-02-21 22:09:31 EST
I don't have the time currently for working on such enhancement requests,
however I will defer this for future consideration.

Thanks for the suggestion.
Comment 3 Mike A. Harris 2005-04-20 08:20:23 EDT
xinitrc now provides a new mechanism for 3rd party windowmanager rpms
to drop files into.  Xclients.d in rawhide.  RunWM is obsolete and
will be removed in Fedora Core 4 or 5.
Comment 4 Dmitry Bolkhovityanov 2005-04-20 08:24:31 EDT
Oka-a-ay... I'll look into this mechanism. Thanks.

Note You need to log in before you can comment on or make changes to this bug.